#HOW TRAINER INFLUENCES SCALING AFTER CAPTURE

#create temp storage
data modify storage asas:owner pos3 set value []
data modify storage asas:owner pos2 set value []
data modify storage asas:owner pos1 set value []
data modify storage asas:owner pos0 set value []

#store whole list (4 numbers)
#Note: there's a list of 4 numbers and i only use 3 meaning if necessary there is more room for customization
data modify storage asas:owner pos0 set from entity @s Owner

#filter only 1st and 2nd
data modify storage asas:owner pos1 set from storage asas:owner pos0[0]
data modify storage asas:owner pos2 set from storage asas:owner pos0[1]
data modify storage asas:owner pos3 set from storage asas:owner pos0[2]

#reset whole list
data modify storage asas:owner pos0 set value []

#put 1st and 2nd in scoreboard associated to mon
execute store result score @s ownerpos1 run data get storage asas:owner pos1
execute store result score @s ownerpos2 run data get storage asas:owner pos2
execute store result score @s ownerpos3 run data get storage asas:owner pos3

#fully reset temp storage
data modify storage asas:owner pos3 set value []
data modify storage asas:owner pos2 set value []
data modify storage asas:owner pos1 set value []

#no animation
scale delay set pehkui:model_height 0
scale delay set pehkui:model_width 0

#end values should be between H:0.45x-1.65x, W:0.4x-1.75x every calculation considered
#pos,pos,pos
execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches 1.. run function asas:body/big
#execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches 1.. run say big
#pos,pos,neg
execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches ..-1 run function asas:body/small
#execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches ..-1 run say small
#pos,neg,pos
execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches 1.. run function asas:body/skinny
#execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches 1.. run say skinny
#pos,neg,neg
execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches ..-1 run function asas:body/fat
#execute if score @s ownerpos1 matches 1.. if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches ..-1 run say fat
#neg,pos,pos
execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches 1.. run function asas:body/tall
#execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches 1.. run say tall
#neg,pos,neg
execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches ..-1 run function asas:body/short
#execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches 1.. if score @s ownerpos3 matches ..-1 run say short


#these two remain as placeholders and there's still one more number to be used (check 3rd comment) which makes it a total of (2^4)-6 possibilities remaining
#neg,neg,pos
# execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches 1.. run
#neg,neg,neg
# execute if score @s ownerpos1 matches ..-1 if score @s ownerpos2 matches ..-1 if score @s ownerpos3 matches ..-1 run


#proceed to nature check
function asas:nature